Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.components.charts
Class AbstractChartCustomizer

    java.lang.Object
      net.sf.jasperreports.components.charts.AbstractChartCustomizer

All Implemented Interfaces:
  ChartCustomizer

    public abstract class AbstractChartCustomizer

extends java.lang.Object
implements ChartCustomizer

Abstract implementation of `ChartCustomizer` that provides access to parameter, variable and field values.

Version:
  $Id: AbstractChartCustomizer.java 3975 2010-09-22 15:45:23Z teodord $
Author:
  sanda zaharia (shertage@users.sourceforge.net)

Constructor Summary
`protected` | `AbstractChartCustomizer()` Default constructor.

Method Summary
`JRFillElementDataset` | `getChartDataset()`
`protected java.lang.Object` | `getFieldValue(java.lang.String fieldName)` Returns the value of a report field.
`protected java.lang.Object` | `getFieldValue(java.lang.String fieldName, boolean fromInputDataset)` Returns the value of a report or input dataset field.
`JRBaseFiller` | `getFiller()`
`protected java.lang.Object` | `getParameterValue(java.lang.String parameterName)` Returns the value of a report parameter.
`protected java.lang.Object` | `getParameterValue(java.lang.String parameterName, boolean fromInputDataset)` Returns the value of a report or input dataset parameter.
`protected java.lang.Object` | `getVariableValue(java.lang.String variableName)` Returns the value of a report variable.
`protected java.lang.Object` | `getVariableValue(java.lang.String variableName, boolean fromInputDataset)` Returns the value of a report or input dataset variable.
`void` | `init(JRBaseFiller chartFiller, JRFillElementDataset dataset)` Initializes the chart customizer.
`void` | `setChartDataset(JRFillElementDataset chartDataset)`
`void` | `setFiller(JRBaseFiller filler)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.components.charts.ChartCustomizer
`customize`

Constructor Detail

### AbstractChartCustomizer

    protected AbstractChartCustomizer()

  Default constructor.

Method Detail

### init

    public void init(JRBaseFiller chartFiller,
                     JRFillElementDataset dataset)

  Initializes the chart customizer.

  Parameters:
    `chartFiller` - the filler instance
    `dataset` - the fill dataset object

### getParameterValue

    protected final java.lang.Object getParameterValue(java.lang.String parameterName)

  Returns the value of a report parameter.

  Parameters:
    `parameterName` - the parameter name
  Returns:
    the value of a report parameter

### getParameterValue

    protected final java.lang.Object getParameterValue(java.lang.String parameterName,
                                                       boolean fromInputDataset)

  Returns the value of a report or input dataset parameter.

  The input dataset differs from the report dataset when the chart uses a sub dataset as input.

  Parameters:
    `parameterName` - the parameter name
    `fromInputDataset` - whether the parameter belongs to the input dataset rather than the report.

    This is usefull only when the chart uses a sub dataset as input.

  Returns:
    the value of the parameter

### getVariableValue

    protected final java.lang.Object getVariableValue(java.lang.String variableName)

  Returns the value of a report variable.

  Parameters:
    `variableName` - the variable name
  Returns:
    the value of a report variable

### getVariableValue

    protected final java.lang.Object getVariableValue(java.lang.String variableName,
                                                      boolean fromInputDataset)

  Returns the value of a report or input dataset variable.

  The input dataset differs from the report dataset when the chart uses a sub dataset as input.

  Parameters:
    `variableName` - the variable name
    `fromInputDataset` - whether the variable belongs to the input dataset rather than the report.

    This is usefull only when the chart uses a sub dataset as input.

  Returns:
    the value of the variable

### getFieldValue

    protected final java.lang.Object getFieldValue(java.lang.String fieldName)

  Returns the value of a report field.

  Parameters:
    `fieldName` - the field name
  Returns:
    the value of a report field

### getFieldValue

    protected final java.lang.Object getFieldValue(java.lang.String fieldName,
                                                   boolean fromInputDataset)

  Returns the value of a report or input dataset field.

  The input dataset differs from the report dataset when the chart uses a sub dataset as input.

  Parameters:
    `fieldName` - the field name
    `fromInputDataset` - whether the field belongs to the input dataset rather than the report.

    This is usefull only when the chart uses a sub dataset as input.

  Returns:
    the value of the field

### getFiller

    public JRBaseFiller getFiller()

  Returns:
    the filler

### setFiller

    public void setFiller(JRBaseFiller filler)

  Parameters:
    `filler` - the filler to set

### getChartDataset

    public JRFillElementDataset getChartDataset()

  Returns:
    the chartDataset

### setChartDataset

    public void setChartDataset(JRFillElementDataset chartDataset)

  Parameters:
    `chartDataset` - the chartDataset to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com